
	set_wr_mode	MACRO	mode
		mov	al,5
		mov 	ah,mode
		mov	dx,GPX_IR
		call    use_ega_port
	ENDM

	set_write_mask	MACRO	mask
		mov	al,8
		mov	ah,mask
		mov	dx,GPX_IR
		call	use_ega_port
	ENDM

	enable_planes	MACRO	mask
		mov	al,2
		mov	ah,mask
		mov	dx,SEQ_IR
		call	use_ega_port
	ENDM

	point_GPX_to	MACRO	func
		mov	dx,GPX_IR
		mov	al,func
		out	dx,al
		inc	dx
	ENDM

	set_r1_color   MACRO     color
		mov	al,2
		mov	ah,color
		mov	dx,GPX_IR
		call	use_ega_port
	ENDM

	set_rot_logic   MACRO    rot,logic
		mov	al,3
		mov	ah,rot
		add     ah,logic
		mov	dx,GPX_IR
		call	use_ega_port
	ENDM

	set_patt_pixel	MACRO
		local		bg
		mov	ah,baccolor
		test	pattern[bx],al
	jz	bg
		mov    ah,forcolor
	bg:
		xchg	[di],ah
	ENDM

	div8		MACRO	cell
		shr 	cell,1
		shr     cell,1
		shr     cell,1
	ENDM


	_350_PAGE0		equ		0a000h
	_350_PAGE1		equ		0a800h
	_480_PAGE0		equ		0a000h
	_480_PAGE1		equ		0a990h
	_350_PLANE		equ		28000
	_480_PLANE		equ		39400

	xor_            equ	018h
	whole_data      equ	0ffh
	repl_           equ	0
	solid           equ	0

	GPX_IR		equ	03CEH
	GPX_DR		equ	03CFH
	SEQ_IR          equ	03C4H

