.8086
        include         casm.inc



CODE    segment  byte public
        assume  cs:CODE

	start_c_proc	find_char_set
	cld				;forward direction
	mov	bp,[bp+6]		;bp=height

	mov	dx,0C000H		; point to EGA ROM
	mov	es,dx
	mov	di,0			; start at beginning
	push	di
	mov	cx,0FFFFH		; scan full segment
	push	cx

	find_null_char:
		pop	cx			; remaining count
		pop	di			; base position
		xor	al,al			; clear to 0
		repne	scasb
		jcxz	find_char_set_fail	; pattern not found
		push	di
		push	cx			; save position
		;------check if it's null
		mov	cx,bp
		dec	di			; backup counter
		mov	si,di			; save offset
		repe	scasb
		$IF	NZ
			jmp	find_null_char
		$ENDIF
	;------null is found, test for SP char 32
		mov	ax,32
		mul	bp			; cell height
		mov	di,si			; restore offset
		add	di,ax
		mov	cx,bp
		xor	al,al
		repe	scasb
		$IF	NZ
			jmp	find_null_char
		$ENDIF
		; ----- SP is found, test for block char 219
		mov	ax,219
		mul	bp			; cell height
		mov	di,si			; reset offset
		add	di,ax
		mov	cx,bp
		mov	al,0FFH			; solid pattern
		repe	scasb
		$IF	NZ
			jmp	find_null_char
		$ENDIF
		;------success
		pop	cx			;clear stack
		pop	di
		mov	ax,si
		mov	dx,0C000H

		jmp	find_char_set_exit
		;------failure
	find_char_set_fail:
		xor	ax,ax				;return failure
		xor	dx,dx
	find_char_set_exit:
	end_c_proc	find_char_set ,4


	start_c_proc		get_int10_font
		mov	bh,[bp+6]
		mov	al,030h
		mov	ah,011h
		int	010h
		mov	dx,es
		mov	ax,bp
	end_c_proc		get_int10_font, 2

CODE    ends

public  find_char_set
public  get_int10_font
end